General1.4-Text-to-Image
Method: POSTEndpoint: /volcv/v1
https://www.volcengine.com/docs/6791/1279296For details, see the official integration documentation
Request Parameters
Query Parameters
text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
object
Example
{
"req_key"
:
"high_aes_general_v14"
,
"prompt"
:
"Vast armies charging forward"
,
"model_version"
:
"general_v1.4"
,
"seed"
:
-1
,
"scale"
:
3.0
,
"ddim_steps"
:
25
,
"width"
:
512
,
"height"
:
512
,
"use_rephraser"
:
True
,
"return_url"
:
False
,
"use_predict_tags"
:
True
,
"logo_info"
:
{
"add_logo"
:
False
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"This is a visible watermark"
}
}Example Request
Shell
bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"req_key": "high_aes_general_v14",
"prompt": "Vast armies charging forward",
"model_version": "general_v1.4",
"seed": -1,
"scale": 3.0,
"ddim_steps": 25,
"width": 512,
"height": 512,
"use_rephraser": True,
"return_url":False,
"use_predict_tags": True,
"logo_info": {
"add_logo": False,
"position": 0,
"language": 0,
"opacity": 0.3,
"logo_text_content": "This is a visible watermark"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 10000,
"data": {
"algorithm_base_resp": {
"status_code": 0,
"status_message": "Success"
},
"binary_data_base64": [
"xxx"
],
"predict_tags_result": "",
"rephraser_result": "",
"request_id": ""
},
"message": "Success",
"request_id": "2024061214082851989A35E4283DB7C8AD",
"status": 10000,
"time_elapsed": "16.52978614s"
}